import request from '@/utils/request'

export function aliPay(params) {  // 支付宝
  return request({
    url: 'alipay/aliH5Pay',
    method: 'post',
    data: params
  })
}


export function getOpenId(params) {  // 获取OpenId
  return request({
    url: 'weixinPublicPay/getOpenIdByCode',
    method: 'post',
    data: params
  })
}

export function vxPayQuery(params) {  // 微信
  return request({
    url: 'weixinpay/publicUnifiedOrder',
    method: 'post',
    data: params
  })
}


export function bankH5Pay(params) {  // 农行
  return request({
    url: 'abcBankPay/bankPayForH5',
    method: 'post',
    data: params
  })
}

export function queryParkingRecordPageByCarNumbers(params) {  // 支付完成后查询记录
  return request({
    url: 'queryParkOrder/queryParkingRecordPageByCarNumbers',
    method: 'post',
    data: params
  })
}









