import Vue from 'vue'
import Router from 'vue-router'
import plateNumber from '@/views/parkPay/plateNumber'
// import parkRecord from '@/views/parkPay/parkRecord'
// import selfNav from '@/views/mySelf/selfNav'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: {
        name: 'plateNumber'
      }
    },
    // {
    //   path: '/navigation',
    //   name: 'navigation',
    //   component: navigation
    // },

    {
      path: '/parkRecord',
      name: 'parkRecord',
      component: () => import("@/views/parkPay/parkRecord.vue")
    },
    {
      path: '/plateNumber',
      name: 'plateNumber',
      component: plateNumber
    },

    {
      path: '/orderPay',
      name: 'orderPay',
      component: () => import("@/views/parkPay/orderPay.vue")
    },

    //  //---------------- 个人页面导航
    // {
    //   path: '/selfNav',
    //   name: 'selfNav',
    //   component: () => import("@/views/mySelf/selfNav.vue")
    // },
    //
    // // ------------------------建议反馈
    // {
    //   path: '/suggestionBack',
    //   name: 'suggestionBack',
    //   component: () => import("@/views/mySelf/feedback/suggestionBack.vue")
    // },
    //
    // // ------------------------停车记录
    // {
    //   path: '/parkNotes',
    //   name: 'parkNotes',
    //   component: () => import("@/views/mySelf/parkNotes/parkNotes.vue")
    // },
    //
    //
    // // ------------------------停车记录
    // {
    //   path: '/binDing',
    //   name: 'binDing',
    //   component: () => import("@/views/binding/binDing.vue")
    // },
    //
    //
    // // ------------------------购买会员卡提示
    // {
    //   path: '/cardPoint',
    //   name: 'cardPoint',
    //   component: () => import("@/views/cards/cardPoint.vue")
    // },
    //
    //
    // // ------------------------购买会员卡
    // {
    //   path: '/buyCard',
    //   name: 'buyCard',
    //   component: () => import("@/views/cards/buyCard.vue")
    // },









  ]
})
